MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028389Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-01-25 14:042017-09-29 16:24
Reporterika 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028389: Data Exchange - Import of STEP Saved Views and Clipping Planes
DescriptionImplement Import of STEP Saved Views
Add tool to store and process Clipping Planes.
Steps To Reproducegdt view A1-B5
TagsNo tags attached.
Test case numbergdt export B9; gdt presentation B8; gdt view A1 - B5
Attached Files? file icon bug28389_CONFIDENTIAL_SHEET_METAL_F3D.stp (802,114 bytes) 2017-01-27 11:06

- Relationships
child of 0028044closedapn Data Exchange - implement data structures for Saved Views 

-  Notes
(0063006)
git (administrator)
2017-01-25 14:19

Branch CR28389 has been created by ika.

SHA-1: eeae9acf1f9d55aaaea8e8b378cb3ac1c81b75d0


Detailed log of new commits:

Author: ika
Date: Wed Jan 25 14:13:45 2017 +0300

    0028389: Data Exchange - Import of STEP Saved Views and Clipping Planes
    
    - new STEP entities for Saved Views
    - import of STEP Saved Views
    - new XCAF tool for clipping planes
    - new draw commands
    - update test
(0063110)
git (administrator)
2017-01-27 11:06

Branch CR28389 has been updated forcibly by ika.

SHA-1: d0de9d557c900337e681322b895712acf85584a5
(0063111)
ika (developer)
2017-01-27 11:16

- new STEP entities for Saved Views
- import of STEP Saved Views with/without clipping planes
- upgrade View object
- new XCAF tool for clipping planes
- new draw commands for clipping planes
- test cases

Note: this issue should be tested with changes of 28044.

Dear GKA,
could you please review branch CR28389?
(0063112)
gka (developer)
2017-01-27 12:17

Branch CR28389 is ready to be tested.
(0063136)
mkv (tester)
2017-01-27 17:02

Dear ika,
could you please rebase branch CR28389 on current master, there are conflict files.
(0063137)
git (administrator)
2017-01-27 17:07

Branch CR28389 has been updated forcibly by ika.

SHA-1: 65b4ec4fd13e613314c42ef0cddffe4f61d39009
(0063138)
ika (developer)
2017-01-27 17:08

Dear MKV,

the branch was rebased.
(0063198)
mkv (tester)
2017-01-30 15:59

Dear BugMaster,
Branch CR28389 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 65b4ec4fd13e613314c42ef0cddffe4f61d39009

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28389-master/job/CR28389-master-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/dn54/builds/CR28389-master/Debian70-64-opt/OCCT/src/XCAFDoc/XCAFDoc_ViewTool.hxx:83:24: error: extra qualification 'XCAFDoc_ViewTool::' on member 'RemoveView' [-fpermissive]
MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR28389-master/job/CR28389-master-OCCT-MacOS-opt-compile/1/parsed_console/ [^]
/Users/mnt/builds/CR28389-master/MacOS-opt/OCCT/src/XCAFDoc/XCAFDoc_ViewTool.hxx:83:42: error: extra qualification on member 'RemoveView'

Number of compiler warnings:

occt component :
Windows: 2 (0 on master)

products component :
Windows: 0 (0 on master)

There are new additional compilation warnings on Windows platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR28389-master-OCCT-Windows-64-VC10-opt-compile/1/warnings34Result/ [^]
XDEDRAW_Views.cxx:83, MSBuild, Priority: Normal
'removeView' : unreferenced local function has been removed
XDEDRAW_Views.cxx:1245, MSBuild, Priority: Normal
'removeClippingPlane' : unreferenced local function has been removed

Regressions/Differences/Improvements:
http://occt-tests/CR28389-master-OCCT/Windows-64-VC10/bugs/xde/bug22962.html [^]
bugs xde bug22962: FAILED
Testing cases:
http://occt-tests/CR28389-master-OCCT/Windows-64-VC10/summary.html#gdt-export [^]
gdt export B9: OK
gdt presentation B8: OK
gdt view A1: OK
gdt view A2: OK
gdt view A3: OK
gdt view A4: OK
gdt view A5: OK
gdt view A6: OK
gdt view A7: OK
gdt view A8: OK
gdt view A9: OK
gdt view B1: OK
gdt view B2: OK
gdt view B3: OK
gdt view B4: OK
gdt view B5: OK
(0063199)
mkv (tester)
2017-01-30 15:59

Dear ika,
Branch CR28389 has been rejected due to:
- compilation errors
- additional warnings
- regressions/differences/improvements
(0063265)
git (administrator)
2017-01-31 15:29

Branch CR28389 has been updated forcibly by ika.

SHA-1: d95c88e14de9c228b912e9c6a5d04b1746ec105d
(0063266)
ika (developer)
2017-01-31 15:30

Dear MKV,

the problems are fixed.
(0063345)
mkv (tester)
2017-02-02 12:26

Dear BugMaster,
Branch CR28389 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d95c88e14de9c228b912e9c6a5d04b1746ec105d

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1137

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28389-master-OCCT/Debian70-64/summary.html#gdt-export [^]
http://occt-tests/CR28389-master-OCCT/Windows-64-VC10/summary.html#gdt-export [^]
gdt export B9: OK
gdt presentation B8: OK
gdt view A1: OK
gdt view A2: OK
gdt view A3: OK
gdt view A4: OK
gdt view A5: OK
gdt view A6: OK
gdt view A7: OK
gdt view A8: OK
gdt view A9: OK
gdt view B1: OK
gdt view B2: OK
gdt view B3: OK
gdt view B4: OK
gdt view B5: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92492964 / 92287721 [+0.22%]
Total CPU difference: 20020.710000000166 / 19914.260000000217 [+0.53%]
products component :
Total MEMORY difference: 31518218 / 31477908 [+0.13%]
Total CPU difference: 5596.959999999969 / 5544.959999999981 [+0.94%]

Testing on Windows:
occt component :
Total MEMORY difference: 57629695 / 57618048 [+0.02%]
Total CPU difference: 18553.29253059854 / 18683.178963198647 [-0.70%]
products component :
Total MEMORY difference: 22662893 / 22621210 [+0.18%]
Total CPU difference: 5617.315208199978 / 5570.546108399986 [+0.84%]

There are no differences in images found by testdiff.
(0063346)
mkv (tester)
2017-02-02 12:26

Dear BugMaster,
Branch CR28389 is TESTED.
(0063626)
git (administrator)
2017-02-08 11:36

Branch CR28389 has been deleted by kgv.

SHA-1: d95c88e14de9c228b912e9c6a5d04b1746ec105d

- Related Changesets
occt: master 0c63f2f8
Timestamp: 2017-01-25 11:13:45
Author: ika
Committer: apn
Details ] Diff ]
0028389: Data Exchange - Import of STEP Saved Views and Clipping Planes

- new STEP entities for Saved Views
- import of STEP Saved Views
- new XCAF tool for clipping planes
- new draw commands
- update test
mod - src/BinMXCAFDoc/BinMXCAFDoc.hxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ClippingPlaneToolDriver.cxx Diff ] File ]
add - src/BinMXCAFDoc/BinMXCAFDoc_ClippingPlaneToolDriver.hxx Diff ] File ]
mod - src/BinMXCAFDoc/FILES Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_GeneralModule.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_ReadWriteModule.cxx Diff ] File ]
mod - src/RWStepVisual/FILES Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClipping.cxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClipping.hxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClippingIntersection.cxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClippingIntersection.hxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClippingUnion.cxx Diff ] File ]
add - src/RWStepVisual/RWStepVisual_RWCameraModelD3MultiClippingUnion.hxx Diff ] File ]
mod - src/StepAP214/StepAP214_Protocol.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.hxx Diff ] File ]
mod - src/StepVisual/FILES Diff ] File ]
add - src/StepVisual/StepVisual_Array1OfCameraModelD3MultiClippingInterectionSelect.hxx Diff ] File ]
add - src/StepVisual/StepVisual_Array1OfCameraModelD3MultiClippingUnionSelect.hxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClipping.cxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClipping.hxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingInterectionSelect.cxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingInterectionSelect.hxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingIntersection.cxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingIntersection.hxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingUnion.cxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingUnion.hxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingUnionSelect.cxx Diff ] File ]
add - src/StepVisual/StepVisual_CameraModelD3MultiClippingUnionSelect.hxx Diff ] File ]
add - src/StepVisual/StepVisual_HArray1OfCameraModelD3MultiClippingInterectionSelect.hxx Diff ] File ]
add - src/StepVisual/StepVisual_HArray1OfCameraModelD3MultiClippingUnionSelect.hxx Diff ] File ]
mod - src/XCAFDoc/FILES Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTolTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTolTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_View.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.hxx Diff ] File ]
mod - src/XCAFView/XCAFView_Object.cxx Diff ] File ]
mod - src/XCAFView/XCAFView_Object.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Views.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/FILES Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_ClippingPlaneToolDriver.cxx Diff ] File ]
add - src/XmlMXCAFDoc/XmlMXCAFDoc_ClippingPlaneToolDriver.hxx Diff ] File ]
mod - tests/bugs/xde/bug22962 Diff ] File ]
mod - tests/bugs/xde/bug28044 Diff ] File ]
add - tests/gdt/export/B9 Diff ] File ]
mod - tests/gdt/grids.list Diff ] File ]
add - tests/gdt/presentation/B8 Diff ] File ]
add - tests/gdt/view/A1 Diff ] File ]
add - tests/gdt/view/A2 Diff ] File ]
add - tests/gdt/view/A3 Diff ] File ]
add - tests/gdt/view/A4 Diff ] File ]
add - tests/gdt/view/A5 Diff ] File ]
add - tests/gdt/view/A6 Diff ] File ]
add - tests/gdt/view/A7 Diff ] File ]
add - tests/gdt/view/A8 Diff ] File ]
add - tests/gdt/view/A9 Diff ] File ]
add - tests/gdt/view/B1 Diff ] File ]
add - tests/gdt/view/B2 Diff ] File ]
add - tests/gdt/view/B4 Diff ] File ]
add - tests/gdt/view/B5 Diff ] File ]
add - tests/gdt/view/begin Diff ] File ]
add - tests/gdt/view/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-25 14:04 ika New Issue
2017-01-25 14:04 ika Assigned To => ika
2017-01-25 14:19 git Note Added: 0063006
2017-01-27 11:06 git Note Added: 0063110
2017-01-27 11:06 ika File Added: bug28389_CONFIDENTIAL_SHEET_METAL_F3D.stp
2017-01-27 11:16 ika Note Added: 0063111
2017-01-27 11:16 ika Assigned To ika => gka
2017-01-27 11:16 ika Status new => resolved
2017-01-27 11:16 ika Steps to Reproduce Updated View Revisions
2017-01-27 11:16 ika Relationship added child of 0028044
2017-01-27 12:17 gka Note Added: 0063112
2017-01-27 12:17 gka Assigned To gka => bugmaster
2017-01-27 12:17 gka Status resolved => reviewed
2017-01-27 13:20 mkv Assigned To bugmaster => mkv
2017-01-27 17:02 mkv Note Added: 0063136
2017-01-27 17:02 mkv Assigned To mkv => ika
2017-01-27 17:02 mkv Status reviewed => feedback
2017-01-27 17:07 git Note Added: 0063137
2017-01-27 17:08 ika Note Added: 0063138
2017-01-27 17:08 ika Assigned To ika => mkv
2017-01-27 17:08 ika Status feedback => assigned
2017-01-27 18:39 mkv Status assigned => feedback
2017-01-27 18:39 mkv Status feedback => reviewed
2017-01-30 15:59 mkv Note Added: 0063198
2017-01-30 15:59 mkv Note Added: 0063199
2017-01-30 15:59 mkv Assigned To mkv => ika
2017-01-30 15:59 mkv Status reviewed => assigned
2017-01-30 16:00 mkv Test case number => gdt export B9; gdt presentation B8; gdt view A1 - B5
2017-01-31 15:29 git Note Added: 0063265
2017-01-31 15:30 ika Note Added: 0063266
2017-01-31 15:30 ika Assigned To ika => mkv
2017-01-31 15:30 ika Status assigned => resolved
2017-01-31 15:48 mkv Status resolved => reviewed
2017-02-02 12:26 mkv Note Added: 0063345
2017-02-02 12:26 mkv Note Added: 0063346
2017-02-02 12:26 mkv Assigned To mkv => bugmaster
2017-02-02 12:26 mkv Status reviewed => tested
2017-02-03 16:52 apn Changeset attached => occt master 0c63f2f8
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:36 git Note Added: 0063626
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker